# Add Vote to Topic

{% hint style="warning" %}
All API requests should contain [authorization headers](https://developers.socialboards.com/docs/apis/tickets/authorization-headers).
{% endhint %}

#### Request&#x20;

```
POST faq/{faqName}/topics/{id}/votes
```

#### Query Parameters

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>faqName</td><td>string</td><td>yes</td><td>The name of the FAQ instance for the request</td></tr><tr><td>id</td><td>integer</td><td>yes</td><td>The id of the topic you wish to add a new vote to</td></tr></tbody></table>

#### Request Body

Body of request should contain[ ](https://developers.socialboards.com/docs/apis/tickets/reference/objects/custom-field)the following model serialized to JSON.&#x20;

```json
{
    "feedbackText": "good topic",
    "isLiked": true,
    "reason": "not_relevant_information"
}
```

<table><thead><tr><th width="267">Field</th><th>Type</th><th>Comments</th></tr></thead><tbody><tr><td>feedbackText</td><td>string</td><td>The text feedback for the vote. The value will be saved only if the <code>isLiked</code> property is <code>false</code></td></tr><tr><td>isLiked</td><td>boolean</td><td>If <code>true</code> vote evaluated as positive, otherwise as negative</td></tr><tr><td>reason</td><td>nullable <a href="../enumerations/topic-downvote-reason">Topic Downvote Reason</a> enumeration</td><td>The possible reason for downvoting a topic. If set to null, the reason will contain the value <code>other</code></td></tr></tbody></table>

#### Response

The request does not have a body response.
